Subject: Re: [PATCH net-next] net: phy: swphy: Only warn once for unknown speed

From: Andrew Lunn <[email-masked]>
Date: Thu, 1 Dec 2022 21:48:21 +0100

On Thu, Dec 01, 2022 at 03:22:53PM -0500, Sean Anderson wrote:
> swphy_read_reg is called quite frequently during normal operation. If an
> invalid speed is used for state, then it can turn dmesg into a firehose.
> Although the first warn will likely contain a backtrace for the
> offending driver, later warnings will usually just contain a backtrace
> from the phy state machine. Just warn once.

Hi Sean

How did you trigger this? I have a patch in this area as well, which i
want Russells opinion on. I'm wondering if we are hitting the same
problem.

	Andrew